textures/carentan/metalrailbig
{
	qer_editorimage textures/carentan/metal_masked_ironfence1.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/carentan/metal_masked_ironfence1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/carentan/sky
{
	qer_editorimage textures/carentan/sky_arc_masked.tga
	
	q3map_sunExt 1 0.86 0.67 700 -35 25 2 12
	
	q3map_lightRGB 0.9 0.96 1.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 400 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/carentan/env/sky 1024 -
	
	
	nopicmip
	nomipmaps
	
	{
		map textures/carentan/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/carentan/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
	

}


//bandiere

textures/carentan/bandiera01
{
	qer_editorimage textures/carentan/band01.tga

	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm nonsolid
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/carentan/band01.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		//alphaFunc GE128
		//rgbGen vertex
         }
}

textures/carentan/bandiera02
{
	qer_editorimage textures/carentan/band02.tga

	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm nonsolid
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/carentan/band02.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		//alphaFunc GE128
		//rgbGen vertex
         }
}

textures/carentan/bandiera03
{
	qer_editorimage textures/carentan/band03.tga

	cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm nonsolid
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
	sort banner
        {
		map textures/carentan/band03.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		//alphaFunc GE128
		//rgbGen vertex
         }
}